Mailinglist Archive: opensuse-commit (1187 mails)

< Previous Next >
commit mkinitrd
  • From: root@xxxxxxx (h_root)
  • Date: Sun, 23 Apr 2006 00:21:14 +0200 (CEST)
  • Message-id: <20060422222114.0FAA98C45F@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package mkinitrd
checked in at Sun Apr 23 00:21:14 CEST 2006.

--------
--- mkinitrd/mkinitrd.changes 2006-04-21 15:47:48.000000000 +0200
+++ STABLE/mkinitrd/mkinitrd.changes 2006-04-22 01:15:19.000000000 +0200
@@ -1,0 +2,15 @@
+Sat Apr 22 01:13:27 CEST 2006 - olh@xxxxxxx
+
+- remove the requirement for expr, except for evms, bash does math
+
+-------------------------------------------------------------------
+Sat Apr 22 01:10:34 CEST 2006 - olh@xxxxxxx
+
+- mkinitrd does not work if /usr is unavailable, exit early
+
+-------------------------------------------------------------------
+Fri Apr 21 23:32:41 CEST 2006 - olh@xxxxxxx
+
+- remove selinux support, it references non-existant files in /usr
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ mkinitrd.spec ++++++
--- /var/tmp/diff_new_pack.3Q0Rkt/_old 2006-04-23 00:20:30.000000000 +0200
+++ /var/tmp/diff_new_pack.3Q0Rkt/_new 2006-04-23 00:20:30.000000000 +0200
@@ -18,7 +18,7 @@
# bootsplash required only if creating splash initrd's.
Autoreqprov: on
Version: 1.2
-Release: 96
+Release: 97
Summary: Creates an Initial RAM Disk Image for Preloading Modules
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: mkinitrd
@@ -85,6 +85,12 @@
%doc %{_mandir}/man8/mkinitrd.8.gz

%changelog -n mkinitrd
+* Sat Apr 22 2006 - olh@xxxxxxx
+- remove the requirement for expr, except for evms, bash does math
+* Sat Apr 22 2006 - olh@xxxxxxx
+- mkinitrd does not work if /usr is unavailable, exit early
+* Fri Apr 21 2006 - olh@xxxxxxx
+- remove selinux support, it references non-existant files in /usr
* Fri Apr 21 2006 - olh@xxxxxxx
- remove +s bits from mount to allow mkinitrd as unprivileged user
* Fri Apr 21 2006 - olh@xxxxxxx




++++++ mkinitrd ++++++
--- mkinitrd/mkinitrd 2006-04-21 15:47:48.000000000 +0200
+++ STABLE/mkinitrd/mkinitrd 2006-04-22 01:16:19.000000000 +0200
@@ -23,7 +23,7 @@
# This file is kept in the following CVS repository:
#
# $Source: /suse/yast2/cvsroot/mkinitrd/mkinitrd,v $
-# $Revision: 1.284 $
+# $Revision: 1.288 $

usage() {
cat<<EOF
@@ -64,7 +64,6 @@
DSDT of the BIOS. Defaults to the ACPI_DSDT
variable in /etc/sysconfig/kernel.
-e Use static binaries where possible.
- -S Load policy file for SELinux if exist.
-V script Vendor specific script to run in linuxrc.
-M map System.map file to use.
EOF
@@ -234,7 +233,7 @@
;;
esac
done
-shift $(expr $OPTIND - 1)
+shift $(( $OPTIND - 1 ))

mkinit_name="mkinitramfs"

@@ -273,6 +272,17 @@
exit 1
fi

+# Mount /usr, required for ldd and other tools to create the initrd tree
+mounted_usr=
+if [ ! -x /usr/bin/ldd ]; then
+ mounted_usr=/usr
+ if ! mount -n -v /usr ; then
+ echo "/usr/bin/ldd not available and mount /usr failed." \
+ "mkinitrd does not work without it." >&2
+ exit 1
+ fi
+fi
+
# Mount /proc if not already done so
mounted_proc=
if [ ! -e /proc/mounts ]; then
@@ -382,14 +392,14 @@
echo "$0: Can't create temp dir, exiting." >&2
exit 1
fi
-is_mounted=
-is_mounted_small=

umount_proc() {
[ "$mounted_proc" ] && umount -n $mounted_proc
mounted_proc=
[ "$mounted_sys" ] && umount -n $mounted_sys
mounted_sys=
+ [ "$mounted_usr" ] && umount -v -n $mounted_usr
+ mounted_usr=
}

cleanup() {
@@ -1212,21 +1222,6 @@
EOF
chmod +x $tmp_mnt/bin/true

- # SELinux: Binary policy file and load_policy utility for loading it.
- if [ -n "$use_selinux" ] ; then
- if [ -f /etc/security/selinux/policy.15 -a \
- -f /usr/sbin/load_policy ] ; then
- echo -e "SELinux policy:\tadded"
- mkdir -p $tmp_mnt/selinux
- mkdir -p $tmp_mnt/etc/security/selinux
- cp -p /etc/security/selinux/policy.15 \
- $tmp_mnt/etc/security/selinux
- cp_bin /usr/sbin/load_policy $tmp_mnt/sbin/load_policy
- else
- echo -e "SELinux policy:\tnot found"
- fi
- fi
-
# Enable user-selected features
if [ "$feature_list" ] ; then
for f in "$feature_list" ; do
@@ -2053,7 +2048,7 @@
| echo -n " $disk"
| /sbin/dasd_configure $1 1 $use_diag
EOF
- s390_dasd_disk_num=$(expr $s390_dasd_disk_num + 1)
+ s390_dasd_disk_num=$(( $s390_dasd_disk_num + 1 ))
done
echo ""
cat_linuxrc <<-EOF
@@ -2076,7 +2071,7 @@
echo -e "zfcp disks:\t"
s390_zfcp_disk_num=0
for disk in $s390_zfcp_disks; do
- s390_zfcp_disk_num=$(expr $s390_zfcp_disk_num + 1)
+ s390_zfcp_disk_num=$(( $s390_zfcp_disk_num + 1 ))
set -- $(IFS=":"; echo $disk)
echo -e "\t\t$1:$2:$3"
cat_linuxrc <<-EOF
@@ -2639,19 +2634,6 @@
|fi
EOF

- if [ -n "$use_selinux" -a -d $tmp_mnt/selinux ]; then
- cat_linuxrc <<-'EOF'
- |echo -n "Loading SELinux policy "
- |if mount -t selinuxfs none /selinux >/dev/null 2>/dev/null ; then
- | /sbin/load_policy /etc/security/selinux/policy.15
- | umount /selinux
- | echo "successful"
- |else
- | echo "skipped"
- |fi
- EOF
- fi
-
cat_linuxrc <<-'EOF'
|opt="-o ro"
|[ -n "$read_write" ] && opt="-o rw"

++++++ mkinitrd.8 ++++++
--- mkinitrd/mkinitrd.8 2006-03-20 16:48:01.000000000 +0100
+++ STABLE/mkinitrd/mkinitrd.8 2006-04-22 00:36:14.000000000 +0200
@@ -1,5 +1,5 @@
.\" Copyright (C) 2003 SuSE Linux AG
-.\"$Id: mkinitrd.8,v 1.14 2006/03/20 15:48:01 hare Exp $
+.\"$Id: mkinitrd.8,v 1.15 2006/04/21 22:36:14 olh Exp $
.TH mkinitrd 8
.SH NAME
mkinitrd, mk_initrd \- create initrd disk image
@@ -59,9 +59,6 @@
\fB-e\fR
Use static binaries where possible.
.TP
-\fB-S\fR
-Load policy file for SELinux if exists.
-.TP
\fB-V script\fR
Vendor specific script to run in linuxrc.
.TP




++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...


< Previous Next >